/*                               -*- Mode: C -*- 
 * user-evaluable-function.c -- 
 * 
 * Copyright (C) 1994-2005 Francois Felix Ingrand
 * 
 * Author          : Francois Felix Ingrand
 * Created On      : Fri Apr 22 13:53:11 1994
 * Last Modified By: Francois Felix Ingrand
 * Last Modified On: Thu Jul  1 17:28:08 1999
 * Update Count    : 35
 * Status          : OK
 * 
 * $Id$
 * 
 */

#include <stdio.h>

#include "macro-pub.h"
#include "opaque-pub.h"
#include "constant-pub.h"
#include "oprs-type-pub.h"

#include "pu-mk-term_f.h"
#include "pu-parse-tl_f.h"

#include "oprs-type_f-pub.h"
#include "user-ev-function.h"
#include "ev-function_f-pub.h"

#include "portLib.h"
#include "csLib.h"
#include "user-decl-oprs-com.h"
#include "user-decl-oprs-com_f.h"
#include "oprs-com.h"
#include "oprs-com_f.h"
#include "oprs-post_f.h"

void declare_oprs_com_evaluable_function(void)
{
     make_and_declare_eval_funct("LIST-MODULES", ef_list_modules, 0);
     make_and_declare_eval_funct("LIST-INITIALIZED-MODULES", ef_list_initialized_modules, 0);
     make_and_declare_eval_funct("LIST-REQUESTS", ef_list_requests, 0);
     make_and_declare_eval_funct("LIST-POSTERS", ef_list_posters, 0);
     make_and_declare_eval_funct("LIST-POSTER-FUNCTIONS", ef_list_poster_functions, 0);
 
    make_and_declare_eval_funct("STRERROR", ef_strerror, 1);

     return;
}
